module CChokeProblemsVariables
    use CProblemDifinition
    
	implicit none    
	public 
    
    ! Input vars
    type:: ChokeProblemsType
        type(CProblem) :: HydraulicChoke1Plugged
        type(CProblem) :: HydraulicChoke1Fail
        type(CProblem) :: HydraulicChoke1Washout
        integer :: HydraulicChoke1PluggedPercent
        type(CProblem) :: HydraulicChoke2Plugged
        type(CProblem) :: HydraulicChoke2Fail
        type(CProblem) :: HydraulicChoke2Washout
        integer :: HydraulicChoke2PluggedPercent
        type(CProblem) :: ManualChoke1Plugged
        type(CProblem) :: ManualChoke1Fail
        type(CProblem) :: ManualChoke1Washout
        integer :: ManualChoke1PluggedPercent
        type(CProblem) :: ManualChoke2Plugged
        type(CProblem) :: ManualChoke2Fail
        type(CProblem) :: ManualChoke2Washout
        integer :: ManualChoke2PluggedPercent
        type(CProblem) :: ChokePanelAirFail
    end type ChokeProblemsType
    
    contains

end module CChokeProblemsVariables